<template>
	<div>

		<div class="section--stream__video">

			<div class="stream__video">

				<video id="player" v-if="content.src">
					<source v-if="content.src.mp4" :src="content.src.mp4" type="video/mp4" />
					<source v-if="content.src.webm" :src="content.src.webm" type="video/webm" />
				</video>

				<div v-else id="player" data-plyr-provider="youtube" :data-plyr-embed-id="content.youtube_id"></div>

			</div>
		</div>

		<div class="row">

			<div class="col-xl-8">
				<div class="text-block section--stream__text" v-html="content.text" v-if="content.text"></div>
			</div>


			<div class="col-xl-4">
				<div class="section--stream__sidebar">
					<div class="section--stream__speakers">
						<h2 class="section--stream__speakers__title">Спикеры:</h2>

						<div class="section--stream__speaker">
							<img src="/valery.jpeg" alt="Валерий Алексеев" class="section--stream__speaker__photo">
							<div class="section--stream__speaker__name">Валерий Алексеев</div>
							<div class="section--stream__speaker__text">Дизайнер, руководитель Школы #VA</div>
							<div class="section--stream__speaker__socials">
								<a href="https://instagram.com/valery_alexeev" target="_blank">Instagram</a>
								<a href="https://youtube.com/va_promotion" target="_blank">YouTube</a>
								<a href="https://behance.net/valery-alexeev" target="_blank">Behance</a>
							</div>
						</div>
					</div>


					<div class="section--stream__links" v-if="content.links && content.links.length">
						<h2 class="section--stream__links__title">Ссылки:</h2>
						<ul>
							<li v-for="l, i in content.links" :key="i"><a target="_blank" :href="l.url">{{ l.title }}</a> — {{ l.text }}</li>
						</ul>
					</div>
				</div>
			</div>
		</div>

	</div>
</template>

<script>
import Plyr from "plyr";
import Mixin from '../../BuilderBlockMixin.vue'

export default {
	mixins: [
		Mixin
	],
	data() {
		return {
			player: null
		}
	},


	computed: {

	},

	created() {
	},

	mounted() {

		this.player = new Plyr('#player', {
			// controls: ['fullscreen']
		});


		// this.$refs.video.controls = false;
	},

}
</script>

<style lang="scss">
@import "~/assets/scss/layouts/live";
</style>
